function imageClean = reduceNoise(image)

image = bwmorph(image,'bridge');
image = bwmorph(image, 'clean');
image = bwmorph(image, 'majority',4);

image = not(image);
image = bwmorph(image, 'majority',2);
image = bwmorph(image,'bridge',2);
image = not(image);


[L, numObjects] = bwlabel(image);

for i = 1:numObjects
    [allY,allX] = find(L==i);
    if (length(allY)<1000)
        for i = 1:length(allY)
            for j = 1:length(allX)
                image(allY(i),allX(j)) = 0;
            end
        end
    end
end

imageClean = bwmorph(image,'majority',1);
imageClean(1,1) = 1;
imageClean(1,size(imageClean,2)) = 1;
imageClean(size(imageClean,1),1) = 1;
imageClean(size(imageClean,1),size(imageClean,2)) = 1;


end

